assigning provisioning template to operating system is not straight forward

06/25/2014 06:55 AM - Dominic Cleal

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1107743 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1662

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1107743

Description of problem:

Assigning provisioning template to operating system is not straight forward - requires multiple steps which seems redundant to me

and if they are not, there is not enough inline help/tips helping to explain the problem

Version-Release number of selected component (if applicable):

foreman 1.12

How reproducible:

always

Steps to Reproduce:

1. Create operating system

2. Hosts -> Provisioning templates -> Kickstart default user data ->

-> Association -> check checkbox nex to <your_operating_system> -> Submit

3. Hosts -> Operating systems -> <your_operating_system> -> Templates ->

-> select "Kickstart default user data" in "user_data" drop-down element ->

-> Submit

Actual results:

Steps 2. or 3. seems redundant to me

Expected results:

One of steps 2. or 3. might be redundant, or webUI could be altered to help me to understand this is needed (e.g. some hints

added?)

Related issues:

Related to Foreman - Tracker #6631: Provisioning Template Improvements New 07/16/2014

History

#1 - 06/25/2014 06:57 AM - Dominic Cleal

- Category set to Templates

- Assignee deleted (Dominic Cleal)

foreman_setup helps a lot here for setting up the first OS.

#2 - 07/03/2014 05:01 AM - David Schmitt

I've noticed this redundancy too. While foreman_setup helps with the first, it is still a stumbling block for all the other OS/template associations that

will be configured.

#3 - 07/16/2014 05:46 AM - Stephen Benjamin

- Related to Tracker #6631: Provisioning Template Improvements added
#4 - 08/07/2014 09:51 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.7.5

- Pull request https://github.com/theforeman/foreman/pull/1662 added

#5 - 08/20/2014 06:50 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#6 - 09/10/2014 07:21 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#7 - 09/30/2014 10:44 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#8 - 10/17/2014 01:01 PM - Stephen Benjamin

- Status changed from Ready For Testing to New

#9 - 10/17/2014 01:01 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#10 - 10/20/2014 03:49 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Target version deleted (1.7.2)

#11 - 01/22/2015 12:09 PM - Markus Frosch

Wouldn't it be the easiest way to use the OSfamily?

Template -> OSfamily

OS -> Template

Question is how to do the migration, lookup OS references in template, and replace by OSfamily link?

Or keep the old behavior invisibly available?

#12 - 09/01/2016 06:51 AM - Tomáš Strachota

- Description updated

- Target version set to 115

#13 - 06/13/2018 02:17 PM - Lukas Zapletal

- Status changed from New to Duplicate

I am gonna work on this as part of #23923 so closing for now.
